%define module pycairo

Name:           python-cairo
Version:        1.20.1
Release:        %mkrel 1
Summary:        A python wrapper for the Cairo libraries
License:        LGPLv2+ MPL
Group:          Development/Python
URL:            https://github.com/pygobject/pycairo
Source0:        %{module}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:	libcairo-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Aset of Python bindings for the cairo graphics library.

%package -n python3-cairo
Summary:        Python 3 bindings for the cairo library
Group:          Development/Python
Requires:       cairo
Provides:       py3cairo = %{version}-%{release}
Provides:       %{module}3 = %{version}-%{release}

%description -n python3-cairo
Python 3 bindings for the cairo library.

%package -n python3-cairo-devel
Summary:        Libraries and headers for python3-cairo
Group:          Development/Python
Requires:       python3-cairo = %{version}-%{release}
Provides:       py3cairo-devel = %{version}-%{release}
Provides:       %{module}3-devel = %{version}-%{release}

%description -n python3-cairo-devel
Development files for python3-cairo.

%prep
%setup -qn %{module}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

sed -i -e 's,\(libdir.*\)"lib",\1"%{_lib}",g' setup.py

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

%files -n python3-cairo
%{py3_platsitedir}/*

%files -n python3-cairo-devel
%dir %{_includedir}/pycairo
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc

%changelog
* Sat Mar 05 2022 TerryN <terryn94 at gmail.com> 1.20.1-1pclos2022
- update and rebuild for python 3.10

* Fri Apr 20 2018 marcin82 <fixxer1982 at gmail.com> 1.17.0-1pclos2018
- update

* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 1.10.0-4pclos2015
- rebuild on python 3.4.2

* Fri Dec 13 2013 billybot <billybot> 1.10.0-3pclos2013
- python3 really
